using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Aberwyn.Migrations
{
    public partial class AddUserTorrentSeenv2 : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "TorrentId",
                table: "UserTorrentSeen");

            migrationBuilder.AddColumn<string>(
                name: "InfoHash",
                table: "UserTorrentSeen",
                type: "longtext",
                nullable: false)
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "InfoHash",
                table: "UserTorrentSeen");

            migrationBuilder.AddColumn<int>(
                name: "TorrentId",
                table: "UserTorrentSeen",
                type: "int",
                nullable: false,
                defaultValue: 0);
        }
    }
}
